List strategies that can go live at a broker
curl --request GET \
--url https://api.itoflow.ai/strategies/eligible \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/strategies/eligible"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/strategies/eligible', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ineligibleStrategies": [
{
"currentValue": null,
"reason": "<string>",
"strategyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"strategies": [
{
"currentValue": "<string>",
"description": "<string>",
"exchanges": [
"<string>"
],
"isActive": true,
"name": "<string>",
"paperPortfolioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Strategies
List strategies that can go live at a broker
Lists the strategies you can see that are ready to go live and trade with real money at a broker, such as Trading 212 or Robinhood. Pass broker_connection_id for brokers that check each symbol, such as Trading 212. A strategy is listed when the broker supports every symbol in its latest target allocation and every non-cash holding in its paper portfolio. Books that hold a short are excluded because live short sales are not supported.
Operation ID: get__strategies_eligible.
GET
https://api.itoflow.ai
/
strategies
/
eligible
List strategies that can go live at a broker
curl --request GET \
--url https://api.itoflow.ai/strategies/eligible \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/strategies/eligible"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/strategies/eligible', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ineligibleStrategies": [
{
"currentValue": null,
"reason": "<string>",
"strategyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"strategies": [
{
"currentValue": "<string>",
"description": "<string>",
"exchanges": [
"<string>"
],
"isActive": true,
"name": "<string>",
"paperPortfolioId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}